[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLQuery.MaxIndexesCount

Maximum allowed number of indexes.

## Declaration

Source position: sqldb.pp line 661

`published property TSQLQuery.MaxIndexesCount : Integer;`

## Description

MaxIndexesCount determines the number of index entries that the dataset will reserve for indexes. No more indexes than indicated here can be used. The property must be set before the dataset is opened. The minimum value for this property is 1. The default value is 2.

If an index is added and the current index count equals MaxIndexesCount, an exception will be raised.

## Errors

Attempting to set this property while the dataset is active will raise an exception.